%define req_libwnck_version 2.9.92
%define req_libglade_version 2.5.0
%define req_gconf2_version 2.6.1
%define req_gnomeui_version 2.5.4
%define req_gtk_version 2.5.4
%define req_vfs_version 2.9.1

%define api_version 2
%define lib_major   0
%define lib_name	%mklibname panel-applet- %{api_version} %{lib_major}

%define schemas clock fish panel-compatibility panel-general panel-global panel-object panel-toplevel window-list workspace-switcher

Summary:	The core programs for the GNOME GUI desktop environment
Name:		gnome-panel
Version: 2.10.2
Release:	10mdk
License:	GPL/LGPL
Group:		Graphical desktop/GNOME
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1:	panel-default-setup-battstat.entries

# (fc) 2.0.1-2mdk  use xlock instead of xscreensaver to lock root desktop
Patch0:		gnome-panel-2.10.1-rootlock.patch.bz2
# (fc) 2.0.1-2mdk  Mandrake customization
Patch1:		gnome-panel-2.10.1-mdkcustomizations.patch.bz2
# (fc) 2.3.6.2-2mdk add "Suspend to disk" support
Patch2:		gnome-panel-2.10.1-suspend.patch.bz2
# (fc) 2.8.2-3mdk ignore launcher double-click (Novell)
Patch6:		gnome-panel-2.10.1-ignore-launcher-double-click.patch.bz2
# (fc) 2.8.2-6mdk fix hidden tray icons at startup (GNOME bug #108864)
Patch8:		gnome-panel-2.8.3-fixtraymanager.patch.bz2
# (fc) 2.10.1-1mdk use new menu API (CVS)
Patch9:		gnome-panel-2.10.1-newmenu.patch.bz2
# (fc) 2.10.1-8mdk initially read menu in idle loop (CVS)
Patch11:	gnome-panel-2.10.2-idlemenu.patch.bz2
# (fc) 2.10.2-3mdk fix executable name in .server file (CVS)
Patch12:	gnome-panel-2.10.2-fixserver.patch.bz2
# (fc) 2.10.2-4mdk fix KDE icons search (Mdk bug #17279)
Patch13:	gnome-panel-2.10.2-kdeicons.patch.bz2
# (fc) 2.10.2-5mdk support .desktop as bookmark
Patch14:	gnome-panel-2.10.2-desktopitem.patch.bz2
# (fc) 2.10.2-5mdk start applications in desktop dir by default
Patch15:	gnome-panel-2.10.2-desktopdir.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.gnome.org/
BuildRequires:	gnome-desktop-devel
BuildRequires:	libglade2.0-devel >= %{req_libglade_version}
BuildRequires:	libwnck-devel >= %{req_libwnck_version}
BuildRequires:	perl-XML-Parser
#gw for libXRes
BuildRequires:	XFree86-static-devel
BuildRequires:	libpng-devel
BuildRequires:	scrollkeeper
BuildRequires:	glib2-devel >= 2.6.0
BuildRequires:	gtk+2-devel >= %{req_gtk_version}
BuildRequires:	libgnomeui2-devel >= %{req_gnomeui_version}
BuildRequires:	libGConf2-devel >= %{req_gconf2_version}
BuildRequires:	evolution-data-server-devel >= 1.1.0
BuildRequires:  gnome-menus-devel >= 2.11.1
BuildRequires:  gnome-vfs2-devel >= %{req_vfs_version}
BuildRequires:  automake1.8
BuildRequires:	gtk-doc
BuildRequires:	gnome-common
BuildRequires:	intltool
Requires(post):	scrollkeeper
Requires(postun): scrollkeeper
Requires:	gnome-session
Requires:	gnome-desktop
Requires:	GConf2 >= %{req_gconf2_version}
Requires:	gnome-applets
Requires:	glib2 >= 2.6.0
Requires:	gnome-menus

# for screen locking and search function in panel
Requires:	gnome-utils
Requires:	xscreensaver
Requires:	menu-xdg
#(patch0)
Requires:	xlockmore
#(patch1) (needed for time setting)
Requires:	drakxtools

%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  GNOME is similar in purpose and
scope to CDE and KDE, but GNOME is based completely on free
software. 

The GNOME panel packages provides the gnome panel, menus and some
basic applets for the panel.

%package -n	%{lib_name}
Summary:	%{summary}
Group:		%{group}

Provides:	libpanel-applet = %{version}-%{release}
Provides:	libpanel-applet-%{api_version} = %{version}-%{release}

%description -n	%{lib_name}
Panel libraries for running GNOME panels.

%package -n	%{lib_name}-devel
Summary:	Static libraries, include files for GNOME panel
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libpanel-applet-devel = %{version}-%{release}
Provides:	libpanel-applet-%{api_version}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}

%description -n	%{lib_name}-devel
Panel libraries and header files for creating GNOME panels.

%prep
%setup -q
%patch9 -p1 -b .newmenu
%patch0 -p1 -b .rootlock
%patch2 -p1 -b .suspend
%patch6 -p1 -b .ignore-launcher-double-click
%patch8 -p1 -b .fixtraymanager
%patch1 -p1 -b .mdkcustomizations
%patch11 -p1 -b .idlemenu
%patch12 -p1 -b .fixserver
%patch13 -p1 -b .kdeicons
%patch14 -p1 -b .desktopitem
%patch15 -p1 -b .desktopdir

#needed by patch9 
aclocal-1.8
automake-1.8
autoconf

%build

%configure2_5x --enable-eds
%make

%install
rm -rf $RPM_BUILD_ROOT %name-2.0.lang

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/panel-default-setup-battstat.entries

%find_lang %name-2.0 --with-gnome --all-name
for omf in %buildroot%_datadir/omf/*/{*-??.omf,*-??_??.omf};do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name-2.0.lang
done

#remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome-panelrc %buildroot/var/lib/scrollkeeper


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n %{lib_name}

%post
%ifarch %{ix86} ppc
laptop=false
if [ -e /proc/acpi/battery ]; then
 laptop=true
else
 if [ -f /proc/apm ]; then
  # Battery present if top bits are unset
  flag=$(cat /proc/apm | cut -d ' ' -f 6 | sed 's/0x\([0-9a-f]\)[0-9a-f]/\1/')
  if [ "$flag" == "0" ]; then
    laptop=true
  fi
 fi
fi
%endif

if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --direct --config-source=$GCONF_CONFIG_SOURCE --recursive-unset /apps/panel > /dev/null 2> /dev/null
gconftool-2 --direct --config-source=$GCONF_CONFIG_SOURCE --recursive-unset /schemas/apps/panel > /dev/null 2> /dev/null

for SCHEMA in %{schemas}; do
 gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$SCHEMA.schemas > /dev/null
done
gconftool-2 --direct --config-source=$GCONF_CONFIG_SOURCE --load %{_sysconfdir}/gconf/schemas/panel-default-setup.entries > /dev/null
gconftool-2 --direct --config-source=$GCONF_CONFIG_SOURCE --load %{_sysconfdir}/gconf/schemas/panel-default-setup.entries /apps/panel > /dev/null

if [ "$laptop" = "true" ]; then
  gconftool-2 --direct --config-source=$GCONF_CONFIG_SOURCE --load %{_sysconfdir}/gconf/schemas/panel-default-setup-battstat.entries > /dev/null
  gconftool-2 --direct --config-source=$GCONF_CONFIG_SOURCE --load %{_sysconfdir}/gconf/schemas/panel-default-setup-battstat.entries /apps/panel/applets/battstat_applet > /dev/null
fi
gtk-update-icon-cache --force --quiet %{_datadir}/icons/hicolor

%preun
if [ "$1" = "0" ]; then
 export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
 for SCHEMA in %{schemas}; do
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$SCHEMA.schemas > /dev/null
 done
fi

%postun -p /sbin/ldconfig -n %{lib_name}

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
if [ "$1" = "0" ]; then
  gtk-update-icon-cache --force --quiet %{_datadir}/icons/hicolor
fi


%files -f %name-2.0.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/*

%{_bindir}/*
%{_libexecdir}/clock-applet
%{_libexecdir}/fish-applet-2
%{_libexecdir}/notification-area-applet
%{_libexecdir}/wnck-applet
%{_mandir}/man1/*
%{_libdir}/bonobo/servers/*
%dir %{_datadir}/gnome
%dir %{_datadir}/gnome/help
%{_datadir}/gnome/panel
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/idl/*
%dir %{_datadir}/omf/gnome-panel
%{_datadir}/omf/gnome-panel/*-C.omf
%{_datadir}/icons/hicolor/48x48/apps/*

%files -n %{lib_name}
%defattr (-, root, root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr (-, root, root)
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/libpanel*.so
%{_libdir}/pkgconfig/*


%changelog
* Mon Sep 26 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-10mdk 
- Update patch14, fix for UTF8 encoded url in .desktop file

* Mon Sep 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-9mdk 
- Update patch14, display directory in shortcuts correctly

* Fri Sep 02 2005 Götz Waschk <waschk@mandriva.org> 2.10.2-8mdk
- rebuild to remove glitz dep

* Wed Aug 31 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-7mdk 
- Update patch15, file to check is really ~/.mdk-no-desktop-launch (Mdk bug #18070)

* Fri Aug 26 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-6mdk 
- Update patch14 to detect if .desktop points to existing directory
- Update patch 15, allow disabling the feature when ~/.mdk-no-desktop-launch
  file exists.

* Thu Aug 25 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-5mdk 
- Patch14: support .desktop as bookmarks
- Patch15: start applications in Desktop dir by default

* Thu Aug 04 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-4mdk 
- Patch13: fix KDE icons search (Mdk bug #17279)

* Thu Aug 04 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-3mdk 
- Really add patch12 this time

* Thu Aug 04 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-2mdk 
- Patch12 (CVS): fix executable name in .server file
- Update patch11 with crash fix (CVS)

* Tue Jun 28 2005 Gtz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- drop patch 10
- New release 2.10.2

* Tue Jun 07 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-8mdk 
- Patch11: initially load menu in idle loop

* Wed May 25 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-7mdk 
- Update patch1 : use Mdk path for evolution,fix typo in default settings

* Fri May 13 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-6mdk 
- Patch10 (CVS): fixes various crashes 
- replace Prereq with new syntax

* Wed Apr 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.10.1-5mdk 
- buildrequires libglade >= 2.5.0

* Wed Apr 27 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-4mdk 
- Remove patch10, it is causing crashes

* Tue Apr 26 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-3mdk 
- Patch10 : don't keep reference on recent view

* Sat Apr 23 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.10.1-2mdk
- add BuildRequires: gtk-doc gnome-common intltool

* Fri Apr 22 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on Gtz Waschk package)
- Remove source 2 (now in gnome-menus)
- Update patches 0, 2, 6
- Remove patches 3, 4, 5 (merged upstream), 7 (not applicable)
- Patch8 (CVS): update to new menu API

* Wed Mar 16 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-6mdk 
- Patch8: fix hidden tray icons at startup (GNOME bug #108864)

* Thu Mar 10 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-5mdk 
- Update patch3 and source4 to fix Mdk bug #12971

* Wed Mar 09 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-4mdk 
- Update patch3 with better legacy support and fix for Mdk bug 14379
- Update source2 with more translations

* Wed Mar 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-3mdk 
- Update patch1 with fixed path for MCC

* Wed Feb 16 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-2mdk 
- Update patch1 with modified default launchers
- Update patch3 to really fix default layout order

* Tue Feb 15 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-1mdk 
- Release 2.8.3

* Mon Feb 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-9mdk 
- Update patch1 for modified location of MCC menu entry
- Update source2 to display "Core" entries
- Update patch3 with default layout fixed (menus then entries)

* Fri Feb 11 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-8mdk 
- Add source2: ship XDG menu files for original menus

* Mon Feb 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-7mdk 
- Update patch3 with new version of layout patch
- Regenerate patch1

* Fri Jan 28 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-6mdk 
- Update patch3 to support optional part of menu spec (layout)

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-5mdk 
- Rebuild with latest howl

* Tue Dec 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-4mdk 
- Update patch 3 to refresh correctly menus after running update-menus

* Fri Dec 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-3mdk 
- Update patch 3 with support for version 0.9 of spec and using glib 2.6.x
- Update patch 1 (mdk menu only if mdk customizations are set, 
  applications are back in the main menu)
- Add battstat applet when installing on a laptop (Fedora)
- Change default layout, back to two panels (I swear, it won't change... :)
- Patch4: fix clock format in or po file
- Patch5 (Fedora): use new configuration location (in sync with future GNOME 2.10)
- Patch6 (Novell): ignore launcher double click
- Patch7 (Novell): fix screenshot hang when destination hasn't enough perms

* Tue Dec 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-2mdk 
- Patch3 (CVS): XDG menu support
- Regenerate patches 1 & 3
- Remove menu methods

* Mon Dec  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.2-1mdk
- drop merged patch 3
- New release 2.8.2

* Thu Nov 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1-2mdk
- remove menu entry
- add desktop-file-utils dependancy

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1-1mdk
- add some mime support to the menu method
- fix gconf schema uninstallation
- fix omf file listing
- New release 2.8.1
- Regenerate patches 1, 2
- Remove patches 3, 4, 5, 6 (merged upstream)
- Patch3 (Fedora): fix dropping non-ASCII uris 

* Mon Oct 04 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-8mdk
- Patch6 (CVS): fix save to webpage translation (Mdk bug #11905)

* Wed Sep 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-7mdk 
- Update patch2 to display Mdk logo instead of Foot (was forgotten)

* Wed Sep 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-6mdk
- Patch5 (CVS): many bug fixes for clock/calendar applet (Mdk bug #11599)

* Tue Aug 31 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-5mdk
- Patch4 (CVS): fix evolution command line parameter

* Mon Aug 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-4mdk
- Patch3 (CVS): fix moving applets with middle button (Mdk bug #10921)

* Tue Aug 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-3mdk 
- Update patch1 for menu changes

* Mon Aug 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-2mdk
- Update patch2 to call pmsuspend (therefore it is disabled)
- Update patch1 (partially merged)
- Enable dropped requirements
- Update sources 1 & 2 to no longer use menu-link.sh

* Tue Jun 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- drop merged patch 3
- New release 2.6.2

* Tue Jun 08 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.6.1-6mdk
- fix buildrequires
- cosmetics

* Sun May 23 2004 Abel Cheung <deaddog@deaddog.org> 2.6.1-5mdk
- Update patch2 (call pmsuspend2 instead of pmsuspend)
- Leave some requirements for review later
- Fix buildrequires and devel requires
- Patch3: Fix brainless translation, thus fixing schemas install

* Sat May 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-4mdk
- reenable libtoolize
- new eds

* Fri Apr 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-3mdk
- fix buildrequires

* Tue Apr 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-2mdk
- Enable evolution-data-server support

* Tue Apr 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- requires new GConf2
- drop merged patch 3
- rediff patch 1
- new version

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-2mdk
- Fix patch 1 : still use Applications for main menu name

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)
- Regenerate patches 0, 1, 2
- remove patch3 (merged upstream)
- Patch3 : fix parallel build

* Wed Feb 25 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-6mdk
- Update patch1 to use Applications for main menu name, since old
  menu entry "Applications" is now "More applications"

* Tue Feb 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-5mdk
- Patch3 (CVS): various bug fixes

* Fri Feb 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-4mdk
- Update sources 1 & 2 :  Add sorting info in .desktop files

* Mon Feb 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-3mdk
- Update patch1 to use 24pixel high panel (Mdk bug #7240) and to use new 
  launcher locations

* Sat Jan 31 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.2-2mdk
- fix buildrequires

* Thu Jan 15 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-1mdk
- Release 2.4.2
- Update patch 1 to use GNOME original layout (now that top menu panel can be
moved) and use Epiphany by default. Also fix typo (bug #6286)

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1-1mdk
- drop merged patch 3
- new version

* Thu Sep 18 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.4.0-3mdk
- fix deps

* Tue Sep 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-2mdk
- Patch3 (george) : Fix launchers in drawers (mdk bug 5601)

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Mon Sep 08 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.91-3mdk
- Update patch2 to use correct translation file for Suspend

* Mon Sep 08 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.91-2mdk
- Update patch2 to not break i18n (I s*ck hard...)  (Mdk bug #5392)

* Fri Sep 05 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.91-1mdk
- Release 2.3.91
- Remove patch3 (merged upstream)
- Regenerate patch 2

* Fri Sep 05 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.90-3mdk
- Patch3 (george): don't push applet outside screen (GNOME bug #12010)

* Thu Sep 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.90-2mdk
- Update patch1 to correctly set launchers on bottom panel
- Update patch2 to test for /proc/acpi or /proc/apm existence 

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.90-1mdk
- Release 2.3.90
- Fix BuildRequires

* Wed Aug 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.7-2mdk
- Requires gnome-applets, since it is needed for mixer in default config

* Tue Aug 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.7-1mdk
- Release 2.3.7
- Remove patches 3 & 4 (merged upstream)
- Update patch2 to add suspend to menubar

* Thu Aug 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.6.2-2mdk
- Patch2 : add suspend to disk support
- Patch3 (CVS): fix window list size constraint (GNOME bug #120107)
- Patch4 (CVS): fix clock size (Mdk bug #4724)

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.6.2-1mdk
- Release 2.3.6.2

* Thu Aug  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.6-1mdk
- Release 2.3.6
- Regenerate patch1 (partially merged upstream)

* Thu Aug  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.4.1-5mdk
- Update patch 1 to use Mdk menu in Applications menu

* Wed Aug  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.4.1-4mdk
- Add lang tag to OMF files

* Mon Aug  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.4.1-3mdk
- Update menu method to generate valid desktop files (fix bug #3935)

* Tue Jul 29 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.4.1-2mdk
- Enforce gnome-icon-theme dependency

* Thu Jul 24 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.4.1-1mdk
- Release 2.3.4.1
- Regenerate patch1

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.4-1mdk
- Release 2.3.4
- Remove patch 2 (merged upstream)
- Fix schema uninstall
- Regenerate patches 0 & 1 (gtz)

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3.3-1mdk
- Release 2.3.3.3
- Regenerate patch 1 (gtz)
- Patch2: fix wrong value in bn translation

* Fri Jun 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3.1-1mdk
- Release 2.3.3.1
- Regenerate patch 0
- Remove patch 7 (merged upstream)

* Thu Jun 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-1mdk
- Release 2.3.3
- Remove patches 6, 8 (merged upstream)
- Regenerate patch1

* Wed Apr 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-1mdk
- Release 2.3.0
- Regenerate patches 0, 1, 7 (partialy merged)
- Update patch 6 from CVS
- Remove patches 3, 4, 5, 8 (merged upstream)
- Patch8: fix fa translation for default value for clock applet

* Fri Mar 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.0.1-6mdk
- Update patch 1 to fix Mdk bug 3279

* Wed Mar 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.0.1-5mdk
- Update patch 1 to partially fix Mdk bug 3205
- Patch8 (CVS): various CVS fixes, including for Mdk bug 2397

* Mon Feb 24 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.0.1-4mdk
- Patch6 (rawhide): don't connect applet to SM (bug #106650)
- Patch7 (rawhide): fix memleaks (bugs #105148, #106355 and Mdk bug 616)
- Update patch 1 for new panel layout

* Sat Feb 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.0.1-3mdk
- Patch 4 (rawhide): fix for 64bits platform
- Patch 5 (rawhide) : fix notification area crash (Mdk bug 1578)

* Fri Feb 14 2003 Frederic Lepied <flepied@mandrakesoft.com> 2.2.0.1-2mdk
- rebuild to fix korean l10n

* Tue Feb  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0.1-1mdk
- Release 2.2.0.1

* Wed Jan 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0
- Update patch3 to merge latest rawhide fixes

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.90.1-2mdk
- Recompiled against latest openssl

* Tue Jan  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.90.1-1mdk
- Release 2.1.90.1
- Regenerate patch1

* Mon Jan  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.90-1mdk
- Release 2.1.90
- Regenerate patches 1 & 3

* Fri Dec 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-2mdk
- Rebuild against latest glibc

* Thu Dec 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5
- Regenerate patch 1
- Remove patch4 (merged upstream)

* Mon Dec 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-4mdk
- Enforce libwnck dependency

* Thu Dec 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-3mdk
- Patch2 (CVS): fix panel drawing when using autohide (bug 100401)

* Tue Dec 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-2mdk
- Update menu method to support startup-notify

* Tue Dec 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4 (partly fix bug #616)

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3

* Wed Nov 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-2mdk
- Regenerate patch 1 to use new oafid for notification tray

* Tue Nov 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2
- Remove system tray (now merged upstream)
- Remove patches 4, 5, 6, 7 (merged upstream)
- Regenerate patches 0, 3

* Sat Nov 16 2002 Stefan van der Eijk <stefan@eijk.nu> 2.0.9-4mdk
- BuildRequires

* Thu Nov 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.9-3mdk
- System tray 0.15
- Update patch1 to add a system tray to default configuration

* Mon Nov 11 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.9-2mdk
- Regenerate configure script with updated libtool.m4

* Thu Oct 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.9-1mdk
- Release 2.0.9
- Regenerate patches 0, 1 & 6

* Thu Oct  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-5mdk
- Update patch 6 to fix bug 84744 (switched entries in drawer)

* Thu Sep 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-4mdk
- Obsoletes/provides gnome-core have moved to gnome2 package to ease upgrade

* Mon Sep  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-3mdk
- Patch6 (CVS): fix drawer filling (bug 90598)
- Patch7 (Rawhide): fix kitty cat bug aka hold down print screen key for a long time
  (RH bug #71432)

* Mon Aug 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-2mdk
- Regenerate patch 3 to add more default launchers
- Add battery applet for laptops (based on rawhide)
- Remove patch4 (merged upstream)
- Patch4 (rawhide): fix various memleaks
- Patch5 (rawhide): fix clock format for US
- Systrem Tray 0.11

* Tue Aug 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-1mdk
- Release 2.0.6

* Thu Aug  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-1mdk
- Release 2.0.5
- Disable parallel compilation (broken)

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-1mdk
- Release 2.0.4
- Systrem tray 0.9

* Thu Aug  1 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-3mdk
- Don't requires gnome-panel to build gnome-panel (Jeff)

* Wed Jul 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-2mdk
- Add missing files for fish applet (thanks to Thierry Saura)

* Tue Jul 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- Release 2.0.3
- Update patch 1 to disable Mixer applet by default
- Remove patches 2 & 4 (merged upstream)
- Update patch3 to disable seconds and date by default in clock
- System tray 0.5

* Mon Jul 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-4mdk
- Menu entry is back

* Thu Jul 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-3mdk
- Patch4: Fix dragging .desktop on panel which are not converted into launcher

* Wed Jul 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-2mdk
- Fix BuildRequires (Bertrand Dekoninck)
- Fix files missing for system_tray applet (Goetz Waschk)

* Tue Jul 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-1mdk
- Release 2.0.2
- Regenerate patches 0 & 1
- Add system_tray applet (only work with applications
  following Freekdesktop System Tray protocol)
- Patch2 (rawhide): fixes from system-tray-applet (use correct class and fix .server file)
- Patch3 (rawhide): enable clock modification using clock.pl

* Wed Jun 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-2mdk
- Patch0: use xlock instead of xscreensaver for root desktop locking
- Patch1: enable Mandrake customizations (menu support..)

* Mon Jun 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1
- Remove patch0 (merged upstream)

* Mon Jun 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0
- Patch0: fix broken translation

* Thu Jun  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.24-2mdk
- Rebuilt against libbonoboui 2.0.0

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.24-1mdk
- Release 1.5.24

* Tue May 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.21-1mdk
- Release 1.5.21

* Tue May  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.20-1mdk
- Release 1.5.20

* Tue Apr 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.19-1mdk
- Release 1.5.19

* Mon Apr 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.18-1mdk
- Release 1.5.18

* Wed Apr 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.17-1mdk
- Release 1.5.17
- Remove patch0 (merged upstream)

* Mon Apr 15 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.16-2mdk
- Quiet scrollkeeper
- Patch0 (CVS): fix mailcheck documentation error (Thanks to Abel Cheung)

* Mon Apr  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.16-1mdk
- Release 1.5.16
- Fix schemas registration
- Move libgen_util_applet-2.so to main library package (needed for Genutil 
  Factory server)

* Wed Mar 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.15-1mdk
- First Mdk package
- Patch0 (CVS): fix .desktop loading

* Tue Mar 12 2002 <glynn.foster@sun.com>
- fix up gconf schema install

* Mon Mar  4 2002  <gleblanc@linuxweasel.com>
- made into a proper .spec.in, using the magic version numbers and such

* Mon Feb 18 2002  <gleblanc@linuxweasel.com>
- flagged man pages as documentation

* Mon Feb 18 2002 Gregory Leblanc <gleblanc@linuxweasel.com> 
- remove extra tab from header
- added defattr to devel package
- moved defattr to make sure that it owns the random package docs
- moved the idl files into the main package, as when perl bindings arrive, they'll want to use them at run-time
- made it not own the omf dir
- moved the line for the GNOME help stuff back into the section with the rest of the regular files
- changed name of find_lang's output file
- removed some whitespace from the install section
- removed some tabs from the devel package headers
- make release number funky, so that people know it's a snapshot
- use auto* version
- group all BuildRequires together

* Fri Feb 15 2002 Chris Chabot <chabotc@reviewboard.com>
- initial spec file
- cleaned up header
- moved gnome/help to doc section

